# ------------------------------------------------------------------------------
# Copyright (C) 2019 Anton Synytsia
# ------------------------------------------------------------------------------

require 'sketchup.rb'
require 'extensions.rb'

module AMS
  module SmoothZoom

    NAME = 'SmoothZoom'.freeze

    MAJOR_VERSION = 1.freeze
    MINOR_VERSION = 3.freeze
    PATCH_VERSION = 0.freeze
    DEVEL_VERSION = 0.freeze

    VERSION_INT = (MAJOR_VERSION * 1000 + MINOR_VERSION * 100 + PATCH_VERSION * 10 + DEVEL_VERSION).to_i
    VERSION = sprintf("%d.%d.%d%c", MAJOR_VERSION, MINOR_VERSION, PATCH_VERSION, DEVEL_VERSION + 0x61).freeze

    RELEASE_DATE = 'February 20, 2019'.freeze

    @extension = ::SketchupExtension.new(NAME, 'ams_SmoothZoom/main_entry')

    desc = "Makes mouse wheel zoom transitions smoother."

    @extension.description = desc
    @extension.version     = VERSION
    @extension.copyright   = '© 2019 Anton Synytsia'
    @extension.creator     = 'Anton Synytsia'

    ::Sketchup.register_extension(@extension, true)

    class << self
      attr_reader :extension
    end # class << self

  end # class SmoothZoom
end # module AMS
