# ------------------------------------------------------------------------------
# Copyright (C) 2019 Anton Synytsia
# ------------------------------------------------------------------------------

tload_me = true

# Verify operation system
if RUBY_PLATFORM !~ /mswin|mingw/i
  tload_me = false
  msg = "SmoothZoom extension is compatible on Microsoft Windows operating systems only!"
  UI.messagebox(msg)
end

# Load and verify AMS Library
if tload_me
  begin
    Sketchup.require 'ams_Lib/main'
    if !defined?(AMS::Lib::MAJOR_VERSION) || AMS::Lib::VERSION_INT < 3607
      tload_me = false
    end
  rescue LoadError
    tload_me = false
  end

  unless tload_me
    msg = "SmoothZoom requires AMS Library, version 3.6.0h or later! SmoothZoom extension will not be loaded with the library outdated or not installed. Would you like to visit AMS Library download page?"
    if UI.messagebox(msg, MB_YESNO) == IDYES
      UI.openURL('http://sketchucation.com/forums/viewtopic.php?f=323&t=55067#p499835')
    end
  end
end

# Load the extension
if tload_me
  dir = File.dirname(__FILE__)
  dir.force_encoding('UTF-8') if RUBY_VERSION !~ /^1.8/
  Sketchup.require File.join(dir, 'main')
end
